# Class SimpleContentProposalProvider

java.lang.Object
org.eclipse.jface.fieldassist.SimpleContentProposalProvider

All Implemented Interfaces:
  `IContentProposalProvider`

public class SimpleContentProposalProvider extends Object implements IContentProposalProvider
SimpleContentProposalProvider is a class designed to map a static list of Strings to content proposals.

Since:
  3.2
See Also:
  - `IContentProposalProvider`

## Constructor Summary

Constructors
Constructor
Description
`SimpleContentProposalProvider(String... proposals)`
Construct a SimpleContentProposalProvider whose content proposals are always the specified array of Objects.

## Method Summary

Modifier and Type
Method
Description
`IContentProposal[]`
`getProposals(String contents, int position)`
Return an array of Objects representing the valid content proposals for a field.
`void`
`setFiltering(boolean filterProposals)`
Set the boolean that controls whether proposals are filtered according to the current field content.
`void`
`setProposals(String... items)`
Set the Strings to be used as content proposals.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleContentProposalProvider

public SimpleContentProposalProvider(String... proposals)
Construct a SimpleContentProposalProvider whose content proposals are always the specified array of Objects.

Parameters:
  `proposals` - the Strings to be returned whenever proposals are requested.

## Method Details

### getProposals

public IContentProposal[] getProposals(String contents, int position)
Return an array of Objects representing the valid content proposals for a field.

Specified by:
  `getProposals` in interface `IContentProposalProvider`
Parameters:
  `contents` - the current contents of the field (only consulted if filtering is set to `true`)
  `position` - the current cursor position within the field (ignored)
Returns:
  the array of Objects that represent valid proposals for the field given its current content.

### setProposals

public void setProposals(String... items)
Set the Strings to be used as content proposals.

Parameters:
  `items` - the Strings to be used as proposals.

### setFiltering

public void setFiltering(boolean filterProposals)
Set the boolean that controls whether proposals are filtered according to the current field content.

Parameters:
  `filterProposals` - `true` if the proposals should be filtered to show only those that match the current contents of the field, and `false` if the proposals should remain the same, ignoring the field content.
Since:
  3.3